.\" Copyright Oryx Mail Systems GmbH. Enquiries to info@oryx.com, please.
.TH ocd 8 2008-09-15 aox.org "Archiveopteryx Documentation"
.SH NAME
ocd - cluster coordination server for Archiveopteryx.
.SH SYNOPSIS
.B $SBINDIR/ocd [-f] [-c configfile]
.SH DESCRIPTION
.nh
.PP
.B ocd
is responsible for message passing, cache updates and various other
houskeeping tasks for Archiveopteryx. It must always be running while
Archiveopteryx runs, but should never be visible to the user.
.SH OPTIONS
.IP "-c filename"
Read configuration variables from
.I filename
instead of from
.IR $CONFIGDIR/archiveopteryx.conf .
.IP -f
Fork into background during startup.
.SH CONFIGURATION
.B ocd
is configured using
.BR archiveopteryx.conf (5).
.PP
The only configuration variables specific to this server are
.IR ocd-address ,
.IR ocd-port ,
.IR ocadmin-address ,
and
.IR ocadmin-port .
.SH DEPENDENCIES
.B ocd
needs to connect to
.B logd
at startup.
.SH DIAGNOSTICS
In case of error,
.B ocd
exits with exit code 1, an error message on stderr and (usually more
detailed) information in the log file.
.SH BUGS
At some future date,
.B ocd
will offer a management console. It doesn't yet, though.
.SH AUTHOR
The Archiveopteryx developers, info@oryx.com.
.SH VERSION
This man page covers Archiveopteryx version 3.0.1, released 2008-09-15,
http://www.archiveopteryx.org/3.0.1
.SH SEE ALSO
.BR archiveopteryx (8),
.BR archiveopteryx.conf (5),
.BR deliver (8),
.BR logd (8),
.BR tlsproxy (8),
.BR oryx (7),
http://www.archiveopteryx.org
